# Add company

&#x20;

## Creates a new company

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/objects/company`

This endpoint allows you to create a company. The body requires a `"fields"` key. See body example below.\
**Please note** that the system will try to match a company's name to the website address provided. You may need to manually add the correct name afterward.

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {{API\_KEY}} |

#### Request Body

| Name                                          | Type   | Description                        |
| --------------------------------------------- | ------ | ---------------------------------- |
| description<mark style="color:red;">\*</mark> | string | A short description of the company |
| industry                                      | string | The company's industry             |
| website                                       | string | The company website                |
| name                                          | string | The company name                   |
| fields<mark style="color:red;">\*</mark>      | object | fields object                      |
| dateUpdated                                   | string | 2020-09-10T11:44:05.143Z           |
| dateCreated                                   | string | 2020-09-10T11:44:05.143Z           |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "fields": {
            "name": "Website.com Solutions Inc.",
            "website": "website.com",
            "industry": "IT",
            "description": "No description ",
            "source": "No source added",
            "revenue": "1050000",
            "city": "SF1",
            "state": "california",
            "logo": "https://organization.uat.env.acquire.io/logo/website.com.png"
        },
        "dateCreated": "2020-09-10T11:44:05.000Z",
        "dateUpdated": "2020-09-10T11:44:05.143Z",
        "id": 8
    }
}
```

{% endtab %}
{% endtabs %}

**Body (raw)**

```
{
   "fields": {
       "name": "company name",
       "website": "example.com",
       "industry": "IT",
       "description": "No description ",
       "source": "No source added",
       "revenue": "1050000",
       "city": "SF1",
       "state": "california"
   },
   "dateCreated": "2020-09-10T11:44:05.143Z",
   "dateUpdated": "2020-09-10T11:44:05.143Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/company/create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
